netCDF::NcVlenType Class Reference

`#include <ncVlenType.h>`

Inheritance diagram for netCDF::NcVlenType:
[legend]

## Public Member Functions

NcType | getBaseType () const
| NcVlenType ()
| NcVlenType (const NcGroup &grp, const std::string &name)
| NcVlenType (const NcType &ncType)
| NcVlenType (const NcVlenType &rhs)
NcVlenType & | operator= (const NcType &rhs)
NcVlenType & | operator= (const NcVlenType &rhs)
Public Member Functions inherited from netCDF::NcType
nc_type | getId () const
std::string | getName () const
netCDF::NcGroup | getParentGroup () const
size_t | getSize () const
ncType | getTypeClass () const
std::string | getTypeClassName () const
bool | isNull () const
| NcType ()
| NcType (const NcType &rhs)
| NcType (const netCDF::NcGroup &grp, const std::string &name)
| NcType (const netCDF::NcGroup &grp, nc_type id)
| NcType (nc_type id)
bool | operator!= (const NcType &) const
bool | operator== (const NcType &) const
virtual | ~NcType ()

## Additional Inherited Members

Public Types inherited from netCDF::NcType
enum | ncType { nc_BYTE = NC_BYTE , nc_CHAR = NC_CHAR , nc_SHORT = NC_SHORT , nc_INT = NC_INT , nc_FLOAT = NC_FLOAT , nc_DOUBLE = NC_DOUBLE , nc_UBYTE = NC_UBYTE , nc_USHORT = NC_USHORT , nc_UINT = NC_UINT , nc_INT64 = NC_INT64 , nc_UINT64 = NC_UINT64 , nc_STRING = NC_STRING , nc_VLEN = NC_VLEN , nc_OPAQUE = NC_OPAQUE , nc_ENUM = NC_ENUM , nc_COMPOUND = NC_COMPOUND }
Protected Member Functions inherited from netCDF::NcType
NcType & | operator= (const NcType &rhs)
Protected Attributes inherited from netCDF::NcType
int | g_fileId
int | groupId
nc_type | myId

## Detailed Description

Class represents a netCDF VLEN type

## Constructor & Destructor Documentation

## NcVlenType() [1/4]

NcVlenType::NcVlenType | ( |  | ) |

Constructor generates a null object.

## NcVlenType() [2/4]

netCDF::NcVlenType::NcVlenType | ( | const NcGroup & | grp,
|  | const std::string & | name )

Constructor. The vlen Type must already exist in the netCDF file. New netCDF vlen types can be added using NcGroup::addNcVlenType();

Parameters

  grp | The parent group where this type is defined.
  name | Name of new type.

## NcVlenType() [3/4]

NcVlenType::NcVlenType | ( | const NcType & | ncType | ) |

Constructor. Constructs from the base type NcType object. Will throw an exception if the NcType is not the base of a Vlen type.

Parameters

  ncType | A Nctype object.

## NcVlenType() [4/4]

NcVlenType::NcVlenType | ( | const NcVlenType & | rhs | ) |

The copy constructor.

## Member Function Documentation

## getBaseType()

NcType NcVlenType::getBaseType | ( |  | ) | const

Returns the base type.

## operator=() [1/2]

NcVlenType & NcVlenType::operator= | ( | const NcType & | rhs | ) |

Assignment operator. This assigns from the base type NcType object. Will throw an exception if the NcType is not the base of a Vlen type.

## operator=() [2/2]

NcVlenType & NcVlenType::operator= | ( | const NcVlenType & | rhs | ) |

assignment operator

The documentation for this class was generated from the following files:

- ncVlenType.h
- ncVlenType.cpp